Node('ma11.stick.sea.psi.ch',
     'MA11 standard sample stick',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'SEA stick connection',
    config='ma11.stick',
    service='stick',
)

Mod('tsam',
    'frappy_psi.sea.SeaReadable',
    'sample stick temperature',
    io='sea_stick',
    json_file='ma11.config.json',
    sea_object='tt',
    rel_paths=['ts', 'setsamp']
)

Mod('ts',
    'frappy_psi.parmod.Converging',
    'stick T (controlled)',
    meaning=['temperature', 25],
    unit='K',
    read='tsam.value',
    write='tsam.setsamp',
    settling_time=20,
    tolerance=1,
)
